using System;
using System.Collections.Generic;
using System.Text;
using Gizmox.WebGUI.Forms;
using Habanero.UI.Base;
using Habanero.UI.VWG;
using Replace_it.UI;

namespace Replace_it.VWG
{
    public class UIManagerVWG : UIManager
    {
        public override void SetupMainForm(IFormHabanero programForm)
        {
            ControlFactoryVWG controlFactory = new ControlFactoryVWG();
            IMainMenuHabanero mainMenuHabanero = SetupMainMenu(programForm, controlFactory,
                                                               new MenuBuilderVWG(controlFactory));
            mainMenuHabanero.DockInForm(programForm);
        }
    }
}
